<?php

/**
 * A handler to provide proper displays for dates.
 *
 * @ingroup views_field_handlers
 */
class views_handler_field_ad_statistics_date extends views_handler_field_date {
  function get_value($values, $field = NULL) {
    $value = parent::get_value($values);
    $date = date_create_from_format('YmdH', $value);
    return $date->getTimestamp();
  }
}
