<?php

/*
 * Simple filter to handle matching of multiple options selectable via checkboxes.
 *
 * @ingroup views_filter_handlers
*/
class views_handler_filter_ad_statistics_action extends views_handler_filter_in_operator {
  function get_value_options() {
    $this->value_options = array('view' => 'Impressions', 'click' => 'Clicks');
  }

  function query() {
    $info = $this->operators();
    if (!empty($info[$this->operator]['method'])) {
      $this->{$info[$this->operator]['method']}();
    }

    $this->query->add_where($this->options['group'], "$this->table_alias.action IN ('view', 'click')");
  }
}
